Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 88)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 89)
@@ -432,65 +432,65 @@
                 ButtonControlVisibleSet(tblLayoutConstruction.Controls);
 
                 // システム管理者はすべて見せる
-                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
-                    return;
+                //if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                //    return;
                 
-                // 実行権限が無いものは表示しない
-                int editflg = 0;
-                int RowTrueCnt = 0;
-                int From = 0;
-                int To = 0;
-                float hSize = 0F;
-                string strButtonName = string.Empty;
-                bool bDsp = true;
-                for (int iy = 0; iy < ConstrMenuButton.GetLength(0); iy++)
-                {
-                    RowTrueCnt = 0;
-                    for (int ix = 0; ix < ConstrMenuButton.GetLength(1); ix++)
-                    {
-                        // ボタンをさがす。
-                        strButtonName = string.Format("{0}{1}{2}", s_btnConstrction, iy.ToString("00"), ix.ToString("00"));
-                        Control[] findCtrl = this.Controls.Find(strButtonName, true);
-                        // ボタンが無ければ処理しない
-                        if (findCtrl.Length < 1) continue;
+                //// 実行権限が無いものは表示しない
+                //int editflg = 0;
+                //int RowTrueCnt = 0;
+                //int From = 0;
+                //int To = 0;
+                //float hSize = 0F;
+                //string strButtonName = string.Empty;
+                //bool bDsp = true;
+                //for (int iy = 0; iy < ConstrMenuButton.GetLength(0); iy++)
+                //{
+                //    RowTrueCnt = 0;
+                //    for (int ix = 0; ix < ConstrMenuButton.GetLength(1); ix++)
+                //    {
+                //        // ボタンをさがす。
+                //        strButtonName = string.Format("{0}{1}{2}", s_btnConstrction, iy.ToString("00"), ix.ToString("00"));
+                //        Control[] findCtrl = this.Controls.Find(strButtonName, true);
+                //        // ボタンが無ければ処理しない
+                //        if (findCtrl.Length < 1) continue;
 
-                        if (ClsSecurityPermission.GetExecutePermission(ConstrMenuButton[iy, ix], ref editflg))
-                        {
-                            bDsp = true;
-                            RowTrueCnt++;
-                        }
-                        else
-                        {
-                            bDsp = false;
-                        }
-                        // ボタンが見つかれば、表示を変更する
-                        ((Button)findCtrl[0]).Visible = bDsp;
+                //        if (ClsSecurityPermission.GetExecutePermission(ConstrMenuButton[iy, ix], ref editflg))
+                //        {
+                //            bDsp = true;
+                //            RowTrueCnt++;
+                //        }
+                //        else
+                //        {
+                //            bDsp = false;
+                //        }
+                //        // ボタンが見つかれば、表示を変更する
+                //        ((Button)findCtrl[0]).Visible = bDsp;
                         
-                        // 各業者・職人支払い管理は個別ラベルがある
-                        switch (iy)
-                        {
-                            case 11:
-                                switch (ix)
-                                {
-                                    case 0:
-                                        lblConstr1102.Visible = bDsp;
-                                        break;
-                                    case 1:
-                                        lblConstr1103.Visible = bDsp;
-                                        break;
-                                }
-                                break;
-                        }
-                    }
-                    // テーブル行取得
-                    ConstrArrayToRow(iy, ref From, ref To);
-                    // 行の表示非表示
-                    if (RowTrueCnt == 0) hSize = 0F; else hSize = s_ConstrRowHeight;
-                    // タイトルラベルと行の表示を制御する
-                    DispConstrRow(iy, From, To, hSize);
-                }
-                // 施工管理タブレイアウト最終調整
-                ConstrTabLayout();
+                //        // 各業者・職人支払い管理は個別ラベルがある
+                //        switch (iy)
+                //        {
+                //            case 11:
+                //                switch (ix)
+                //                {
+                //                    case 0:
+                //                        lblConstr1102.Visible = bDsp;
+                //                        break;
+                //                    case 1:
+                //                        lblConstr1103.Visible = bDsp;
+                //                        break;
+                //                }
+                //                break;
+                //        }
+                //    }
+                //    // テーブル行取得
+                //    ConstrArrayToRow(iy, ref From, ref To);
+                //    // 行の表示非表示
+                //    if (RowTrueCnt == 0) hSize = 0F; else hSize = s_ConstrRowHeight;
+                //    // タイトルラベルと行の表示を制御する
+                //    DispConstrRow(iy, From, To, hSize);
+                //}
+                //// 施工管理タブレイアウト最終調整
+                //ConstrTabLayout();
             }
             catch (Exception ex)
             {
@@ -748,65 +748,65 @@
                 if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
                     return;
 
-                // 実行権限が無いものは表示しない
-                int editflg = 0;
-                int RowTrueCnt = 0;
-                int From = 0;
-                int To = 0;
-                float hSize = 0F;
-                string strButtonName = string.Empty;
-                bool bDsp = true;
-                for (int iy = 0; iy < AffairsMenuButton.GetLength(0); iy++)
-                {
-                    RowTrueCnt = 0;
-                    for (int ix = 0; ix < AffairsMenuButton.GetLength(1); ix++)
-                    {
-                        // ボタンをさがす。
-                        strButtonName = string.Format("{0}{1}{2}", s_btnAffairs, iy.ToString("00"), ix.ToString("00"));
-                        Control[] findCtrl = this.Controls.Find(strButtonName, true);
-                        // ボタンが無ければ処理しない
-                        if (findCtrl.Length < 1) continue;
+                //// 実行権限が無いものは表示しない
+                //int editflg = 0;
+                //int RowTrueCnt = 0;
+                //int From = 0;
+                //int To = 0;
+                //float hSize = 0F;
+                //string strButtonName = string.Empty;
+                //bool bDsp = true;
+                //for (int iy = 0; iy < AffairsMenuButton.GetLength(0); iy++)
+                //{
+                //    RowTrueCnt = 0;
+                //    for (int ix = 0; ix < AffairsMenuButton.GetLength(1); ix++)
+                //    {
+                //        // ボタンをさがす。
+                //        strButtonName = string.Format("{0}{1}{2}", s_btnAffairs, iy.ToString("00"), ix.ToString("00"));
+                //        Control[] findCtrl = this.Controls.Find(strButtonName, true);
+                //        // ボタンが無ければ処理しない
+                //        if (findCtrl.Length < 1) continue;
 
-                        if (ClsSecurityPermission.GetExecutePermission(AffairsMenuButton[iy, ix], ref editflg))
-                        {
-                            bDsp = true;
-                            RowTrueCnt++;
-                        }
-                        else
-                        {
-                            bDsp = false;
-                        }
-                        // ボタンが見つかれば、表示を変更する
-                        ((Button)findCtrl[0]).Visible = bDsp;
+                //        if (ClsSecurityPermission.GetExecutePermission(AffairsMenuButton[iy, ix], ref editflg))
+                //        {
+                //            bDsp = true;
+                //            RowTrueCnt++;
+                //        }
+                //        else
+                //        {
+                //            bDsp = false;
+                //        }
+                //        // ボタンが見つかれば、表示を変更する
+                //        ((Button)findCtrl[0]).Visible = bDsp;
 
-                        // 請求関係入力管理は個別ラベルがある
-                        switch (iy)
-                        {
-                            case 4:
-                                switch (ix)
-                                {
-                                    case 0:
-                                        lblAffairs0402.Visible = bDsp;
-                                        break;
-                                    case 1:
-                                        lblAffairs0403.Visible = bDsp;
-                                        break;
-                                    case 4:
-                                        lblAffairs0404.Visible = bDsp;
-                                        break;
-                                }
-                                break;
-                        }
-                    }
-                    // テーブル行取得
-                    AffairsArrayToRow(iy, ref From, ref To);
-                    // 行の表示非表示
-                    if (RowTrueCnt == 0) hSize = 0F; else hSize = s_ConstrRowHeight;
-                    // タイトルラベルと行の表示を制御する
-                    DispAffairsRow(iy, From, To, hSize);
-                }
-                // 総務管理タブレイアウト最終調整
-                AffairsTabLayout();
+                //        // 請求関係入力管理は個別ラベルがある
+                //        switch (iy)
+                //        {
+                //            case 4:
+                //                switch (ix)
+                //                {
+                //                    case 0:
+                //                        lblAffairs0402.Visible = bDsp;
+                //                        break;
+                //                    case 1:
+                //                        lblAffairs0403.Visible = bDsp;
+                //                        break;
+                //                    case 4:
+                //                        lblAffairs0404.Visible = bDsp;
+                //                        break;
+                //                }
+                //                break;
+                //        }
+                //    }
+                //    // テーブル行取得
+                //    AffairsArrayToRow(iy, ref From, ref To);
+                //    // 行の表示非表示
+                //    if (RowTrueCnt == 0) hSize = 0F; else hSize = s_ConstrRowHeight;
+                //    // タイトルラベルと行の表示を制御する
+                //    DispAffairsRow(iy, From, To, hSize);
+                //}
+                //// 総務管理タブレイアウト最終調整
+                //AffairsTabLayout();
 
             }
             catch (Exception ex)
@@ -1019,37 +1019,37 @@
                 if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
                     return;
 
-                // 実行権限が無いものは表示しない
-                int editflg = 0;
-                int RowFalseCnt = 0;
-                string strButtonName = string.Empty;
-                bool bDsp = true;
-                for (int iy = 0; iy < DocAppMenuButton.GetLength(0); iy++)
-                {
-                    RowFalseCnt = 0;
-                    for (int ix = 0; ix < DocAppMenuButton.GetLength(1); ix++)
-                    {
-                        // ボタンをさがす。
-                        strButtonName = string.Format("{0}{1}{2}", s_btnDocApp, iy.ToString("00"), ix.ToString("00"));
-                        Control[] findCtrl = this.Controls.Find(strButtonName, true);
-                        // ボタンが無ければ処理しない
-                        if (findCtrl.Length < 1) continue;
+                //// 実行権限が無いものは表示しない
+                //int editflg = 0;
+                //int RowFalseCnt = 0;
+                //string strButtonName = string.Empty;
+                //bool bDsp = true;
+                //for (int iy = 0; iy < DocAppMenuButton.GetLength(0); iy++)
+                //{
+                //    RowFalseCnt = 0;
+                //    for (int ix = 0; ix < DocAppMenuButton.GetLength(1); ix++)
+                //    {
+                //        // ボタンをさがす。
+                //        strButtonName = string.Format("{0}{1}{2}", s_btnDocApp, iy.ToString("00"), ix.ToString("00"));
+                //        Control[] findCtrl = this.Controls.Find(strButtonName, true);
+                //        // ボタンが無ければ処理しない
+                //        if (findCtrl.Length < 1) continue;
 
-                        if (ClsSecurityPermission.GetExecutePermission(DocAppMenuButton[iy, ix], ref editflg))
-                        {
-                            // ボタンが見つかれば、表示を変更する
-                            bDsp = true;
-                        }
-                        else
-                        {
-                            // ボタンが見つかれば、表示を変更する
-                            bDsp = false;
-                            RowFalseCnt++;
-                        }
-                        // ボタンが見つかれば、表示を変更する
-                        ((Button)findCtrl[0]).Visible = bDsp;
-                    }
-                }
+                //        if (ClsSecurityPermission.GetExecutePermission(DocAppMenuButton[iy, ix], ref editflg))
+                //        {
+                //            // ボタンが見つかれば、表示を変更する
+                //            bDsp = true;
+                //        }
+                //        else
+                //        {
+                //            // ボタンが見つかれば、表示を変更する
+                //            bDsp = false;
+                //            RowFalseCnt++;
+                //        }
+                //        // ボタンが見つかれば、表示を変更する
+                //        ((Button)findCtrl[0]).Visible = bDsp;
+                //    }
+                //}
             }
             catch (Exception ex)
             {
@@ -3813,13 +3813,6 @@
 
                 // データ表示
                 int ino = 1;
-                //long lTotal01 = 0;
-                //long lTotal02 = 0;
-                //long lDep01 = 0;
-                //long lDep02 = 0;
-                //long lDep03 = 0;
-                //long lDep04 = 0;
-                //long lDep05 = 0;
                 List<string> Details = new List<string>();
 
                 // 期数をセットする
@@ -3853,10 +3846,8 @@
                     if (constructorname.Length == 0) constructorname = CommonDefine.s_UndecidedString;
 
                     string instructorname = CommonMotions.cnvString(DataRec[(int)DBColumn2.I_PERSONNAME]);
-                    //if (instructorname.Length == 0) instructorname = CommonDefine.s_UndecidedString;
 
                     string subconstr = CommonMotions.cnvString(DataRec[(int)DBColumn2.CS_PERSONNAME]);
-                    //if (subconstr.Length == 0) subconstr = CommonDefine.s_UndecidedString;
 
                     int iDepartmentCode = CommonMotions.cnvInt(DataRec[(int)DBColumn2.DepartmentCode]);
                     
@@ -3928,35 +3919,6 @@
                     // 選択期数以外は集計しない
                     if (numUDConstPro.Value != wrkRec.ConstructionPeriod) continue;
 
-                    //// 金額を計算する
-                    //if (constructorname.Equals(CommonDefine.s_UndecidedString))
-                    //{
-                    //    lTotal01 += (long)wrkRec.OrdersDecisionPrice;
-                    //}
-                    //else
-                    //{
-                    //    lTotal02 += (long)wrkRec.OrdersDecisionPrice;
-                    //    if (iDepartmentCode == s_ConstructionProjectsTotalCode1)
-                    //    {          // 山本組
-                    //        lDep01 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode2)
-                    //    {          // 工事部
-                    //        lDep02 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode3)
-                    //    {          // 営繕部
-                    //        lDep03 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode4)
-                    //    {          // 営業
-                    //        lDep04 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode5)
-                    //    {          // 企画・設計・リフォーム部
-                    //        lDep05 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //}
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
                 dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
@@ -3970,42 +3932,6 @@
                 ProgressConstructionProjects.Value = ProgressConstructionProjects.Maximum;
                 ProgressConstructionProjects.Update();
                 ProgressConstructionProjects.Visible = false;
-
-                //// 金額表示
-                //lblTotal01.Text = @"\" + lTotal01.ToString("#,0") + "-";
-                //lblTotal02.Text = @"\" + lTotal02.ToString("#,0") + "-";
-                //lblTotal03.Text = @"\" + (lTotal01 + lTotal02).ToString("#,0") + "-";
-                //lblDepTotal01.Text = @"\" + lDep01.ToString("#,0") + "-";
-                //lblDepTotal02.Text = @"\" + lDep02.ToString("#,0") + "-";
-                //lblDepTotal03.Text = @"\" + lDep03.ToString("#,0") + "-";
-                //lblDepTotal04.Text = @"\" + lDep04.ToString("#,0") + "-";
-                //lblDepTotal05.Text = @"\" + lDep05.ToString("#,0") + "-";
-
-                //// 部署名表示
-                //string strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode1);
-                //List<DepartmentMaster> dmList0 = new List<DepartmentMaster>();
-                //if (dmDB.SelectAction(strDepSQL, ref dmList0))
-                //    if (dmList0.Count != 0) lblDep01.Text = dmList0[0].DepartmentString;
-
-                //List<DepartmentMaster> dmList1 = new List<DepartmentMaster>();
-                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode2);
-                //if (dmDB.SelectAction(strDepSQL, ref dmList1))
-                //    if (dmList1.Count != 0) lblDep02.Text = dmList1[0].DepartmentString;
-
-                //List<DepartmentMaster> dmList2 = new List<DepartmentMaster>();
-                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode3);
-                //if (dmDB.SelectAction(strDepSQL, ref dmList2))
-                //    if (dmList2.Count != 0) lblDep03.Text = dmList2[0].DepartmentString;
-
-                //List<DepartmentMaster> dmList3 = new List<DepartmentMaster>();
-                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode4);
-                //if (dmDB.SelectAction(strDepSQL, ref dmList3))
-                //    if (dmList3.Count != 0) lblDep04.Text = dmList3[0].DepartmentString;
-
-                //List<DepartmentMaster> dmList4 = new List<DepartmentMaster>();
-                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode5);
-                //if (dmDB.SelectAction(strDepSQL, ref dmList4))
-                //    if (dmList4.Count != 0) lblDep05.Text = dmList4[0].DepartmentString;
             }
             catch (Exception ex)
             {
@@ -4092,12 +4018,9 @@
                 long lTotal02 = 0;
 
                 string strSQL = "SELECT C.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER, SUM(A.ORDERSDECISIONPRICE), SUM(D.ORDERSDECISIONPRICE)";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
-                strSQL += " LEFT JOIN  CONSTRUCTIONLEDGER D ON D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-
-                strSQL += string.Format(" WHERE A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
+                strSQL += " FROM PERSONINCHARGEMASTER B";
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFO A ON A.CONSTRUCTIONPERSONCODE = B.PERSONCODE";
+                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
                 strSQL += string.Format(" AND A.JOINFLG != {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
                 strSQL += " AND A.CONSTRUCTIONSTATUSFLG IN (";
                 strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("一般補修工事")).Key);       // 2
@@ -4109,6 +4032,8 @@
                 strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key);           // 8
                 strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("空家補修工事")).Key);       // 16
                 strSQL += string.Format("{0})", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("Hit'sV工事")).Key);         // 17
+                strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += " LEFT JOIN  CONSTRUCTIONLEDGER D ON D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
 
                 strSQL += " GROUP BY C.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER";
                 strSQL += " ORDER BY C.DISPLAYORDER";
@@ -4118,6 +4043,7 @@
 
                 int iRowcount = CommonMotions.cnvRoundUp((double)arList.Count / 4.0);
                 dgv.Width = 1008;
+                if (iRowcount < 2) iRowcount = 2;
                 if (iRowcount > 2) dgv.Width = 1028;
 
                 dgv.Rows.Add(iRowcount);
Index: trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 88)
+++ trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 89)
@@ -141,7 +141,7 @@
     <Compile Include="DataModel\PersonDepartmentMaster.cs" />
     <Compile Include="DataModel\PersonSalaryMaster.cs" />
     <Compile Include="DataModel\ProceedingsDataDetail.cs" />
-    <Compile Include="DataModel\ProceedingsDataAttendee.cs" />
+    <Compile Include="DataModel\ProceedingsDataAttend.cs" />
     <Compile Include="DataModel\ProceedingsData.cs" />
     <Compile Include="DataModel\DailyDataField.cs" />
     <Compile Include="DataModel\DailyDataSubcontractors.cs" />
@@ -335,7 +335,7 @@
     <Compile Include="DB\IOAccess\IOConstructionLedger.cs" />
     <Compile Include="DB\IOAccess\IOMSubContractorJobLink.cs" />
     <Compile Include="DB\IOAccess\IOProceedingsDataDetail.cs" />
-    <Compile Include="DB\IOAccess\IOProceedingsDataAttendee.cs" />
+    <Compile Include="DB\IOAccess\IOProceedingsDataAttend.cs" />
     <Compile Include="DB\IOAccess\IOProceedingsData.cs" />
     <Compile Include="DB\IOAccess\IODailyDataField.cs" />
     <Compile Include="DB\IOAccess\IODailyDataSubcontractors.cs" />
Index: trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 88)
+++ trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 89)
@@ -33,6 +33,6 @@
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("0.0.0.0")]
-[assembly: AssemblyFileVersion("0.9.9.17")]
+[assembly: AssemblyFileVersion("0.9.9.19")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
